Cleanup apt cache after grub install

Grub installation happens in finalize.d so cleanup should be done after this.

Change-Id: I6322b8b529e31fd1b7251dd9e07cc85f442f7e81
This commit is contained in:
Endre Karlson 2014-07-15 19:56:26 +02:00 committed by Endre Karlson
parent d9d43c6c03
commit ab2d1a31f2
2 changed files with 9 additions and 9 deletions

View File

@ -0,0 +1,9 @@
#!/bin/bash
# Do an apt-get clean. This will free some space.
set -eu
set -o pipefail
if ! chroot ${TARGET_ROOT} mount | grep /var/cache/apt/archives; then
sudo chroot ${TARGET_ROOT} apt-get clean
fi

View File

@ -1,9 +0,0 @@
#!/bin/bash
# Do an apt-get clean. This will free some space.
set -eu
set -o pipefail
if ! mount | grep /var/cache/apt/archives; then
apt-get clean
fi